Subject: [BEEPwg] Re: [APEXwg] Apex/Beep doubts about relay/channel

From: Marshall Rose <[email-masked]>
Date: Thu, 21 Feb 2002 11:18:10 -0800

> Hi all ...
>  I am a starter in this field so
>  I am taking this opportunity to clear some of my doubts too ....
> 
> This is quoted from the apex-core draft ....
> 	"relaying between administrative domains is configured
>       using SRV RRs.  Accordingly, the actual number of
>       relays between two endpoints is not fixed."
> 
> My questions are....
> ?1 If we have to send a message to a differnet domain endpoint we
> directly bind
>    to the realy of that domain .... so isn't this a communication b/w
> only concerned
>    relays ???.... more specifically routing is doen at lower network
> level so why should
>    a relay level routing be there ????

the easy way to understand apex is this: ask yourself "why does SMTP do it that way?" if you can understand why SMTP behaves a certain way, then you will understand why APEX behaves a certain way.

> ?2 I am also not sure about the notion of channel ... we can attach
> profile to the channels ...
>    this means on a single tcp session we can talk on several message
> semantics ... as i am 
>    a starter in this field i cannot realy think of a real/practical
> world example of uses of this...
>    can u please clear me on this front ???

you may want to associate different priorities/characteristics with each channel.

/mtr
_______________________________________________
BEEPwg mailing list
[email-masked]
http://lists.beepcore.org/mailman/listinfo/beepwg